#ifndef ADDRESSBOOKPARSER_H
#define ADDRESSBOOKPARSER_H

#include <QDebug>
#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QXmlDefaultHandler>
#include <QXmlAttributes>

class AddressBookParser : public QXmlDefaultHandler
{
private:
    QString currentText;
    QTreeWidget *treeWidget;
    QTreeWidgetItem *currentItem;
    QString parsing_title;
public:
    AddressBookParser(QTreeWidget* tree, const QString&);
    bool startElement(const QString&,
                      const QString&,
                      const QString&,
                      const QXmlAttributes& attr);
    bool characters(const QString& strText);
    bool endElement(const QString&, const QString&, const QString& str);
    bool fatalError(const QXmlParseException& exception);
};

#endif // ADDRESSBOOKPARSER_H